AutoCAD VB :: How To Make The Selected Value In Combobox Current Layer In Drawing
Dec 19, 2012
Private Sub UserForm_Initialize() Dim layerColl As AcadLayers Dim entry As AcadLayer Dim LayList As String Set layerColl = ThisDrawing.Layers For Each entry In layerColl ComboBox1.AddItem entry.Name Next End Sub
I have a form with a combobox. That combobox is filled up with all layers in a drawing. (see above)
Now I want to make the layer that I have selected (value) in the combobox the current layer in my drawing.
How can i make it current?
View 2 Replies
ADVERTISEMENT
Jan 16, 2013
When I set a layer as current, every object or line I select in the drawing appear to be on that layer in the toolbar. Although in the properties toolbox, I see that the line I selected is still on the right layer.
I can't work in paperspace either, when I freeze a layer it freezes all objects. It seems like whenever I give a different layer to an object, it attributes to all object that same layer.
When I open the same drawing in acad 2008, everything is ok, the objects have the proper layers.
Is there a command for that or it's an acad 2013 problem?
View 9 Replies
View Related
May 8, 2012
When i click on the green line has you can see on the image. The layer toolbar wont show me the right layer, like if it's not working. But i can see the right layer inside propreties.
Is there a system variable to ajust to see my layers inside the Layer tool bar?
View 1 Replies
View Related
Aug 13, 2013
Just starting to use 2014, and so far not so good. I tend to keep the Properties Palette open and docked. In 2014, if my current layer is 0, any object I select in a drawing shows as Layer 0 in the Design tab of the Properties palette. If I change to a different layer, any object selected shows that layer in the Properties palette. If I start a new drawing, enter WALLADD and draw a wall segment, the A-WALL layer now correctly appears in the Layer Manager, but when I select the wall, the Layer in Properties is the current layer, not the A-WALL layer it should have gone on. Also, Quick Properties is on, but doesn't pop up anywhere.
View 5 Replies
View Related
Feb 20, 2013
Is there a way to send a selected textFrame item to a layer using javascript?
I don't mind if it is send to current layer or some other way to accomplish the task.
(Using Adobe Illustrator CS4)
View 5 Replies
View Related
Dec 21, 2012
I have a form with a combobox and a commandbutton.
All layers in the layermanager must be locked except the active layer chosen in the combobox. I try it with this code but it’s not the right solution.
Private Sub CommandButton1_Click()Dim layer As AcadLayer'check if all layers are lockedIf layer.Lock = False Thenlayer.Lock = True'make the layer selected in the combobox currentThisDrawing.ActiveLayer = ThisDrawing.Layers.Item(ComboBox1.Text)End SubPrivate Sub UserForm_Initialize() Dim layerColl As AcadLayers Dim layer As AcadLayer Dim LayList As String ' all layers locked For Each layer In ThisDrawing.Layers If layer.Lock = False Then layer.Lock = True End IfNext 'fill combobox Set layerColl = ThisDrawing.Layers For Each layer In layerColl ComboBox1.AddItem layer.Name Next End Sub
2. When I choose the for next method to lock all layers (40 layers) it’s very slow.
View 4 Replies
View Related
Sep 29, 2011
Is there a macro/script/deisel that will automatically print a pdf (cute pdf autocad lt 2007) to current plot settings in current drawing directory and give it the current drawing view name and number? Disk space not a problem these days and would save time to have a pdf copy of all drawing tabs readily stored in the directory ready for issue.
View 3 Replies
View Related
Apr 7, 2013
Open a new document in AI (CS5/CS6), and then draw some arts (rectangles), given an original point (such as 0,0), now I want to all arts in current layer rotate 30 degree around the origin. How to realize it?
View 1 Replies
View Related
Nov 26, 2012
I try to get all current entities for my own custom palette.
I tried it with ed.SelectionAdded and ed.SelectionRemoved but it doesn't work if I for example pressing ESC.
I want to get the Object Ids saved in a ObjectIdCollection and I don't want to run an autocad command every time.
View 1 Replies
View Related
Aug 20, 2013
When I have an PSD icon set and I want to size a layer to a size that looks good. How do I see the dimentions of that layer so that I can select another layer and make it the same size.
View 4 Replies
View Related
Mar 18, 2013
I'm relatively new to Autocad so still learning the ropes.
I've been given a set of drawings from a client to design a system on. What I want to do is turn the drawing they have given me into one layer so that I can turn it on and off to just see my system. Is this possible? If so how?
The drawing has about 300 layers currently and a lot of blocks as well.
I'm using Autocad 2012,
View 7 Replies
View Related
May 5, 2011
how do i use the stair tower generator, when i click i just get a message that says "no current project selected"
View 1 Replies
View Related
Mar 7, 2013
I want to insert another drawing layout tabs contents in current drawing.
It's easy for MODEL tab, but for LAYOUT tabs, I dont know how!?
I prepared a code for INSERTING MODEL tab in current drawing:
(defun INS_DWG (TAB path dwg P / blk)(setq blk (strcat ""*" path dwg """));(setq N (vla-get-count (vla-get-layouts)));;Number of LAYOUT TABS in dwg(if (or(= TAB 0) (= TAB nil))(command "INSERT" blk P 1 0)); TAB=0 or omitted ==>Insert MODEL;(if (= TAB 1));==>Insert the 1st LAYOUT in dwg file;(if (= TAB 2));==>Insert the 2nd LAYOUT in dwg file;and so on....);;;usage:;;(INS_DWG 0 "c:\test\" "test.dwg" '(0 0))
View 8 Replies
View Related
Nov 18, 2011
I'm currently using AutoCAD LT 2012 and when I create a new layer and set it as current in the layer manager, regardless of what color I set the new layer to, the new layer's color remains the same as the previous one in the properties box even though the colors of the layers are always set to "by layer."
View 3 Replies
View Related
Apr 30, 2013
Inside my current action, I have this Axis+Image with some keyframes on opacity and transformation, also some keyframes on X blur/Y blur in my Media list. How do I recycle this setup for other Action?
I tried the save selected object, but when I load it from other action, using Add Nodes + Media method, only the Axis and Image show up (with keyframes). The Media of it shows empty.
View 3 Replies
View Related
Jan 18, 2013
I'm having issues with Civ3d 2013. I pushed off upgrading from 2012 because of the format change and the service pack release. I was hoping little glitches would be fixed.
Here are the a couple of glitches to date that I have seen no resolution to in the long list of threads.
1. Layer filters do not filter, unless I have checked "Apply filter to toolbar". The problem is, I dont want to apply them to the toolbar.
2. Publishing to PDF - when set to lines merge (set in the page layout and the publish setting), the wipeouts dont work, and the background masks on leaders makes a faint border around the text in the PDF. When set to overwrite, to get the wipeouts to not print to the PDF as a big black blob, they have to be on a layer set to color 255. I can work around most of the wipeouts, except for dimensions because the background mask doesn't seem to take.
View 2 Replies
View Related
Sep 17, 2013
I'm working with a DWG that already has a-gazillion VPs.
I'm currently making new layers, but the "New VP Freeze" option only seems to apply to new VPs made AFTER the creation of the layer.
I need the new layers I'm making to be Frozen retroactively, if you will, in all previously-made VPs.
Short of going into each and every VP and manually VP Freezing these few layers, what can I do?
View 1 Replies
View Related
Sep 21, 2006
way to do this from the layers menu (ctrl-click new layer icon), but is there a key combo? I use shift-ctrl-n a lot to make new layers, but often I need to make a new layer *below* the current layer.
View 1 Replies
View Related
Aug 14, 2013
I am trying to find out what the current DimStyle of the drawing.
I have iterated through all DimStyle but can’t find any way of finding the current Style.
For Each DsrID In DST Dim R As DimStyleTableRecord = CType(DsrID.GetObject(OpenMode.ForRead), DBObject) Debug.Print(R.Name)Next
View 5 Replies
View Related
Jun 9, 2013
I Want to change the View of viewport according to the Combobox change event. the drawing is updating only after exiting the macro. My aim is to view my 3D object in different views and to modify it.
Here is my code.
Private Sub UserForm_Initialize()
ComboBox1.AddItem "Top"
ComboBox1.AddItem "Left"
ComboBox1.ListIndex = 0
End Sub
Private Sub ComboBox1_Change()
ThisDrawing.SendCommand "-View" & vbCr & ComboBox1.Text & vbCr
ThisDrawing.Regen acActiveViewport
End Sub
View 5 Replies
View Related
Mar 27, 2013
I want to make a layer from external reference current.
I tried to identify it with its full name, but I got an error: eInvalidInput. So I found out, I have to use only the part behind the pipe.But then there is a problem, because this name is not unique withing the drawing.
Any number of xrefs can have such layer and also the drawing itself can have a layer with the same name. How exactly can I set a layer from xref current?
example:
layer from xref1: Xref1|LayerName1
layer from xref2: Xref2|LayerName1
layer from the drawing: LayerName1
View 6 Replies
View Related
Sep 10, 2013
how to obtain the current layer state?
View 5 Replies
View Related
Apr 9, 2012
Is there a way to lock the current layer (to say layer 0) so that is STAYS the current layer regardless of my isolating, turning layers on and off etc?
Really annoying to keep getting those "Are you sure you want to turn off the current layer" messages and it would prevent me from either drawing thing on a layer I don't intend to, or drawing on a layer which is off (which confuses me every time).
View 4 Replies
View Related
Jan 6, 2003
How to make a current date block? I've also looked for the file location block attribute. I know it exists cuz the architect in this office used to have it. When he quit, he took it out of the pc's.
I'm using Architectural Desktop 2.0
View 9 Replies
View Related
Jun 5, 2013
How can i get number of layout in the current drawings?
View 3 Replies
View Related
Aug 21, 2012
How to save current drawing file using save method.
View 3 Replies
View Related
Sep 24, 2011
I attach x-ref in one of the drawing......and then next day i open drawing is show but xref does not not show and i gives that message..............
Error: Possible circular reference to current drawing. *Invalid*
what should i do?
View 1 Replies
View Related
Apr 29, 2011
I am using vb.net and I need to find the directory path that my current or open drawing is located in. I'm not sure how to get this from vb.net.
View 4 Replies
View Related
Oct 23, 2013
I am new to .net. how to get a list of the xrefs in the current drawing?
View 2 Replies
View Related
Aug 8, 2012
I am trying to write a quick macro to open the current drawing in the block editor. I can easily do the steps from the dialog box to open the current drawing, but the command line version give me an error.
Command: -bedit
Enter block name or [?]: <current drawing>
(A message box pops up saying, "The name cannot be longer than 255 characters."
If I click ok on the message box, AutoCAD returns to model space. The file name is 30 +/- characters, and the path is maybe another 50 to 100 characters. Can I bedit the current drawing using the command line, or must I use the dialog box?
LT, C3D 2005 - 2014
XP, Vista, 7
View 4 Replies
View Related
Feb 20, 2013
I would like show all alignments in a combobox. I want do a application in C#.
Autocad Civil 3D 2014 +SP1
Quad Core Intel i7 3770-cpu 3.40Ghz.
ssd samsung 840 pro 512gb+ssd samsung 840 pro 256 gb+1tb hdd
32gb RAM 1600 Mhz.
nVidia Quadro 2000.
Win 7 Pro 64bit
View 8 Replies
View Related